Subject: Re: Chicken/egg problem building from a 'git clone'

From: Matthieu Moy <[email-masked]>
Date: Fri, 06 Mar 2009 11:51:37 +0100

Jakub Narebski <[email-masked]> writes:

> However while toolchain needed to produce documentation (asciidoc +
> xmlto) isn't, I think, something very common, in my opinion autoconf
> is something that is present on systems containing other build tools
> required to build git from sources.

Plus:

* an old ./configure script (taken from a previous tarball release)
  has good chance to work on a new Git. Since Makefile is designed to
  be useable without scripting, Junnio takes great care not to break
  existing setups.

* ./configure script is not mandatory to build Git from sources.

-- 
Matthieu